/* FILE: tclcmds.h                 -*-Mode: c++-*-
 *
 * Commands added to Tcl/Tk interpreter (& supporting routines)
 *
 */

#ifndef TCLCMDS_H
#define TCLCMDS_H

#include "misc.h"
#include "oommf.h"	/* TCLCMD */

/* End includes */     /* Optional directive to build.tcl */

int TclCommandsPreInit(char* exename,char* inputfile);
void TclCommandsCleanup(ClientData);
void Mmd_SaveServerFlag(INT2m value);
TCLCMD GetFirstFileName;
TCLCMD GetMeshType;
TCLCMD GetMeshName;
TCLCMD GetMeshTitle;
TCLCMD SetMeshTitle;
TCLCMD GetMeshDescription;
TCLCMD GetMeshIncrement;
TCLCMD ChangeMesh;
TCLCMD DrawFrame;
TCLCMD GetFrameRotation;
TCLCMD SetFrameRotation;
TCLCMD GetFrameSubsampling;
TCLCMD SetFrameSubsampling;
TCLCMD GetFrameSize;
TCLCMD SetFrameSize;
TCLCMD GetFrameScale;
TCLCMD SetFrameScale;
TCLCMD GetFrameArrowMag;
TCLCMD SetFrameArrowMag;
TCLCMD WriteMesh;
int RegisterTclCommand(Tcl_Interp* interp,
		       const char* name,Tcl_CmdProc* cmd);
int Mmdisp_Init(Tcl_Interp* interp);

#endif // TCLCMDS_H
